## rootskel 1.93

=== Makefile ===
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

subdirs = \
	src

ifeq ($(DEB_HOST_ARCH_OS),linux)
subdirs += \
	src-bootfloppy
endif

build: build-recursive

install:
	@$(MAKE) install -C src DESTDIR=$(CURDIR)/debian/rootskel/
ifeq ($(DEB_HOST_ARCH_OS),linux)
	@$(MAKE) install -C src-bootfloppy DESTDIR=$(CURDIR)/debian/rootskel-bootfloppy/
endif

clean: clean-recursive

build-recursive clean-recursive:
	@target=`echo $@ | sed s/-recursive//`; \
	list='$(subdirs)'; \
	for subdir in $$list; do \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

=== src/sbin/Makefile ===

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

dir = sbin

files_exec = \
	debian-installer \
	debian-installer-startup \
	shutdown \
	init:init-$(DEB_HOST_ARCH_OS) \
	reopen-console:reopen-console-$(DEB_HOST_ARCH_OS) \
	steal-ctty

ifeq ($(DEB_HOST_ARCH_OS),linux)
  files_exec += \
	console-type
endif

console-type: console-type.c
	gcc -Os -Wall console-type.c -o console-type

steal-ctty: steal-ctty.c
	gcc -Os -Wall steal-ctty.c -o steal-ctty

ifeq ($(DEB_HOST_ARCH_OS),linux)
build: console-type steal-ctty
else
build: steal-ctty
endif

clean:
	rm -f console-type steal-ctty

include ../../Makefile.inc

=== src/lib/debian-installer/Makefile ===
dir = lib/debian-installer

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	init-debug

files_exec = \
	exit:exit-$(DEB_HOST_ARCH_OS) \
	exit-command \
	menu

ifeq ($(DEB_HOST_ARCH),s390)
  files += \
	detect-console:detect-console-linux-s390
else
  files += \
	detect-console:detect-console-$(DEB_HOST_ARCH_OS)
endif

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.93) unstable; urgency=low

  [ Milan Kupcevic ]
  * S05fancontrol-linux-powerpc: Add windfarm_pm121 for iMac iSight machines.
    Selectively load necessary modules to control G5 PowerMac fans.  All G5
    PowerMac models are covered now.

  [ Samuel Thibault ]
  * S40term-kfreebsd: Fix typo, thanks Salvatore Bonaccorso
    (Closes: Bug#606318)

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Dec 2010 22:57:05 +0100

rootskel (1.92) unstable; urgency=low

  [ Samuel Thibault ]
  * Update minimum memory value for g-i.

 -- Otavio Salvador <otavio@debian.org>  Mon, 01 Nov 2010 19:07:11 -0200

rootskel (1.91) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * When it is activated, add the speakup modules to the target initrd.

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Oct 2010 23:10:46 +0200

rootskel (1.90) unstable; urgency=low

  * Mount /sys on GNU/kFreeBSD as chroot_setup() from di-utils now rely
    on that.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 15:13:54 +0200

rootskel (1.89) unstable; urgency=low

  * Parse kernel parameters and export them to environment variables
    on GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2010 16:16:20 +0200

rootskel (1.88) unstable; urgency=low

  * Skip the creation of /etc/mtab on Hurd, rather than on everything but
    Hurd.  Thanks to Trent W. Buck for the report.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Aug 2010 13:05:47 +0100

rootskel (1.87) unstable; urgency=low

  [ Aurelien Jarno ]
  * Remount the filesystem with the "remount" option instead of the 
    "update" one as it is the only one supported by busybox.
  * Correctly detect virtual consoles on kFreeBSD 8.x.
  * Enable UTF-8 on GNU/kFreeBSD.

  [ Jeremie Koenig ]
  * Fix lib/debian-installer.d/S40term-hurd.
  * Provide a -hurd version for some files: (closes: #593212)
    - lib/debian-installer/detect-console
    - lib/debian-installer/exit (skips umount, which is not available yet)
    - etc/fstab (empty)
    - etc/inittab (copied the Linux one)
    - sbin/reopen-console (not much guesswork yet)
  * Skip the creation of /etc/mtab on Hurd (our /proc/mounts is itself a
    symlink to mtab).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Aug 2010 21:22:43 +0200

rootskel (1.86) unstable; urgency=low

  [ Jeremie Koenig ]
  * Add a S40term-hurd to enable UTF-8.

  [ Aurelien Jarno ]
  * src/lib/debian-installer/init-debug: fix to not output an error 
    message on POSIX compliant shells and on recent busybox versions.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Aug 2010 17:39:51 +0200

rootskel (1.85) unstable; urgency=low

  [ Frans Pop ]
  * Only drop unused translations if available memory is less than 250MB.
    If more memory is available there is no real reason to do this.

  [ Martin Michlmayr ]
  * Add S40framebuffer-module-linux-armel to ensure that fbcon is
    loaded and that fb modules are put in the ramdisk so that users
    can see the boot process.

  [ Otavio Salvador ]
  * In case running in live-installer assume GTK frontend can be used.

 -- Otavio Salvador <otavio@debian.org>  Tue, 27 Jul 2010 02:08:37 -0300

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/rootskel

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc sparc
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.94ubuntu1

=== src/Makefile ===
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

dir =

subdirs = \
	etc \
	lib \
	sbin \
	var

subdirs_empty = \
	dev \
	media \
	initrd \
	mnt \
	proc \
	sys

ifeq ($(DEB_HOST_ARCH_OS),linux)
  files_exec = \
	init
endif

include ../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
dir = lib/debian-installer-startup.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S10syslog \
	S20templates \
	S35term

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \
	S05acpi-linux-x86 \
	S40framebuffer-module-linux-x86
   endif
  
  ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
    files += \
	S05fancontrol-linux-powerpc \
	S45keyboard-linux-powerpc
  endif

  ifneq (,$(filter mipsel,$(DEB_HOST_ARCH_CPU)))
    files += \
	S59cobalt-welcome \
	S80anna-install-mipsel
  endif

  ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-alpha \
	S04countcpus-linux-alpha
  endif

  ifneq (,$(filter hppa,$(DEB_HOST_ARCH_CPU)))
    files += \
	S04countcpus-linux-hppa
  endif

  ifneq (,$(filter arm armel,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-armel \
	S80anna-install-armel \
	S99signal-status
  endif

  files += \
	S01mount \
	S02module-params \
	S37speakup
endif

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.94ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.
    - Build for ppc64 and create a lib64 symlink there.
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Apr 2011 22:50:53 +0100

rootskel (1.94) unstable; urgency=low

  [ Samuel Thibault ]
  * src/lib/debian-installer/exit-hurd: pass -f to busybox to make it simply
    call reboot(), which DTRT.

  [ Jurij Smakov ]
  * Set DEB_HOST_ARCH_OS in src/Makefile to make sure that everything builds
    correctly without help from dpkg-buildpackage.

  [ Colin Watson ]
  * Bump the amount of data reopen-console-linux reads from the kernel ring
    buffer from 64KiB to 256KiB.  This fixes console detection on (at least)
    VMware Workstation (LP: #745947).

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Apr 2011 22:37:55 +0100

rootskel (1.93ubuntu3) natty; urgency=low

  * src/lib/debian-installer.d/S30term: apply the configurable console
    colors in the d-i virtual terminals, LP: #730672

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Mar 2011 13:34:43 -0500

rootskel (1.93ubuntu2) natty; urgency=low

  * Build for ppc64 and create a lib64 symlink there (cf. rootskel 1.34).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Feb 2011 19:20:42 +0000

rootskel (1.93ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Dec 2010 16:43:40 +0000

rootskel (1.92ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Nov 2010 15:11:35 +0000

rootskel (1.91ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Oct 2010 17:54:05 +0100

rootskel (1.90ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Oct 2010 15:37:27 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/rootskel.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/rootskel.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.96ubuntu1

=== debian/changelog ===
rootskel (1.96ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.
    - Build for ppc64 and create a lib64 symlink there.
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 May 2011 16:23:08 +0100

rootskel (1.96) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not require TERM_FRAMEBUFFER to be set for g-i on !linux-any.
  * Require TERM to be set to hurd for g-i on hurd-any.
  * Add audio group for proper ALSA behavior.

  [ Hector Oron ]
  * src/lib/debian-installer-startup.d/Makefile:
    - enabled init scripts for armhf:    
       S40framebuffer-module-linux-armel
        S80anna-install-armel
        S99signal-status  

  [ Colin Watson ]
  * Set up /run on Linux, otherwise udev complains at boot.
  * Create /run/lock after mounting /run, for later convenience.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 May 2011 14:15:42 +0100

rootskel (1.95ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Provide the ability to choose a remote logging host and port if
      specified on the kernel command line.
    - Build for ppc64 and create a lib64 symlink there.
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 May 2011 09:28:48 +0100

rootskel (1.95) unstable; urgency=low

  [ Jurij Smakov ]
  * Switch to using TIOCGDEV ioctl for detection of the real console for
    kernels >= 2.6.38.

 -- Jurij Smakov <jurij@debian.org>  Sat, 09 Apr 2011 10:12:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: standard
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
+Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], linux-libc-dev (>= 2.6.38) [linux-any]
 XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/rootskel.git
 XS-Debian-Vcs-Git: git://git.debian.org/d-i/rootskel.git
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

## rootskel 1.97

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files += \
	S30term \
	S60frontend \
	S65theme \
	S70menu \
	S72menu-exit

ifeq ($(DEB_HOST_ARCH_CPU),sparc)
  files += \
	S34framebuffer-linux-sparc
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq ($(DEB_HOST_ARCH_CPU),s390)
    files += \
	S35framebuffer-linux
  endif

  files += \
	S20speakup \
	S40term-linux
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  files += \
  	S40term-kfreebsd
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  files += \
  	S40term-hurd
endif

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.97) unstable; urgency=low

  [ Loïc Minier ]
  * Add Freescale i.MX serial consoles, /dev/ttymxc*.

  [ Robert Millan ]
  * control: Use "any" architecture wildcards where possible.

  [ Colin Watson ]
  * Provide the ability to choose a remote logging host and port if
    specified on the kernel command line using log_host= and log_port=
    (thanks, Matt T. Proud; closes: #635191).

  [ Samuel Thibault ]
  * Harmonize S40term-hurd with linux & kfreebsd, fixes glitch in
    network-console.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2011 17:58:08 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [linux-any], linux-libc-dev (>= 2.6.38) [linux-any]
Vcs-Browser: http://git.debian.org/?p=d-i/rootskel.git
Vcs-Git: git://git.debian.org/d-i/rootskel.git

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc sparc
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.98

=== debian/changelog ===
rootskel (1.98) unstable; urgency=low

  * Add support for s390x.

 -- Philipp Kern <pkern@debian.org>  Thu, 06 Oct 2011 18:58:30 +0200

## rootskel 1.98ubuntu2

=== debian/changelog ===
rootskel (1.98ubuntu2) precise; urgency=low

  * Remove the lib64 -> lib symlinks, no longer necessary
    with the new mklibs (and, in fact, break it due to
    debhelper making them  absolute instead of relative) 

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 08 Dec 2011 15:52:26 -0700

rootskel (1.98ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build for ppc64 and create a lib64 symlink there.
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 15:54:07 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [linux-any], linux-libc-dev (>= 2.6.38) [linux-any]
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/rootskel.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/rootskel.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc
Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.98ubuntu2.1

=== debian/changelog ===
rootskel (1.98ubuntu2.1) precise; urgency=medium

  * Add a new debian-installer/allow_unauthenticated_ssl template, which can
    be used to disable SSL certificate checks when using HTTPS
    (LP: #833994).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jun 2014 18:01:20 +0100

## rootskel 1.99

=== debian/changelog ===
rootskel (1.99) unstable; urgency=low

  [ Robert Millan ]
  * Serial devices are now named "ttyu" and "cuau" on GNU/kFreeBSD.

  [ Aurelien Jarno ]
  * On s390x, detect /dev/sclp* as serial devices.

  [ Otavio Salvador ]
  * kfreebsd: set TERM as xterm by default.

 -- Otavio Salvador <otavio@debian.org>  Sat, 31 Dec 2011 10:58:23 -0200

## rootskel 1.100ubuntu1

=== debian/changelog ===
rootskel (1.100ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove the lib64 -> lib symlinks, no longer necessary with the new
      mklibs.
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jul 2012 11:16:07 +0100

rootskel (1.100) unstable; urgency=high

  [ Joey Hess ]
  * Remove rootskel-bootfloppy. The age of the floppy is officially over.
    Closes: #653840

  [ Robert Millan ]
  * src/sbin/init-kfreebsd: Start devd to process all pending events
    before init (see #493865)

  [ Julien Cristau ]
  * Generate debian/templates in build-arch as well as build, so they don't go
    missing on non-source uploads.  Thanks to Cyril Brulebois for the
    investigation.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Jun 2012 18:16:55 +0200

rootskel (1.99ubuntu1) quantal; urgency=low

  * Resynchronise with Debian (LP: #1010506).  Remaining changes:
    - Build for ppc64.
    - Remove the lib64 -> lib symlinks, no longer necessary with the new
      mklibs.
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Jun 2012 17:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,5 @@
 Package: rootskel
 XC-Package-Type: udeb
 Architecture: any
-Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
+Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
 Description: Skeleton root filesystem used by debian-installer
-
-Package: rootskel-bootfloppy
-XC-Package-Type: udeb
-Priority: extra
-Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc
-Depends: klibc-utils-floppy-udeb (>= 1.5-2), libklibc-udeb
-Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.101ubuntu1

=== debian/changelog ===
rootskel (1.101ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove the lib64 -> lib symlinks, no longer necessary with the new
      mklibs.
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Oct 2012 10:46:02 +0000

rootskel (1.101) unstable; urgency=low

  [ Samuel Thibault ]
  * When enabling speakup, tell debconf to show choices horizontally.
    Closes: #690588.
  * Update lowmem limit for graphical installer.

  [ Christian Perrier ]
  * Replace XC-Package-Type by Package-Type in debian/control

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Oct 2012 13:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu
 
 Package: rootskel
-XC-Package-Type: udeb
+Package-Type: udeb
 Architecture: any
 Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
 Description: Skeleton root filesystem used by debian-installer

## rootskel 1.102

=== src/etc/Makefile ===
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

dir = etc

# backward compatibility
subdirs_empty = rcS.d

files = \
	fstab:fstab-$(DEB_HOST_ARCH_OS) \
	group \
	inittab:inittab-$(DEB_HOST_ARCH_OS) \
	modules.conf \
	nsswitch.conf \
	passwd \
	profile

# On Hurd, /proc/mounts won't exist or will be a symlink to /etc/mtab itself.
install-local:: $(outdir)
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	ln -fs /proc/mounts $(outdir)/mtab
endif

include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	S04countcpus-linux-hppa
   endif
 
-  ifneq (,$(filter arm armel,$(DEB_HOST_ARCH_CPU)))
+  ifneq (,$(filter arm armel armhf,$(DEB_HOST_ARCH_CPU)))
     files += \
 	S40framebuffer-module-linux-armel \
 	S80anna-install-armel \

=== debian/changelog ===
rootskel (1.102) unstable; urgency=low

  * Fix /etc/profile script to properly detect when to call setupcon:
    the config script for console-setup-udeb is /etc/default/keyboard
    (middle-ground between console-setup's /etc/default/console-setup
    and keyboard-configuration's /etc/default/keyboard).
    Closes: #606395.
  * Redirect setupcon's stdout/stderr to /dev/null in that profile
    script. This avoids spurious “gzip is not accessible. Will not
    save cached keyboard map.” messages when opening a console. In
    case of troubles, it's easy enough to get rid of the redirections
    to debug things.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Dec 2012 22:40:16 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.7.0), libklibc-dev [linux-any], linux-libc-dev (>= 2.6.38) [linux-any]
Vcs-Browser: http://git.debian.org/?p=d-i/rootskel.git
Vcs-Git: git://git.debian.org/d-i/rootskel.git

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

build build-arch: debian/templates

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

debian/templates: debian/templates-arch
	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@

## rootskel 1.103ubuntu1

=== debian/changelog ===
rootskel (1.103ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 19 May 2013 22:25:42 +0100

rootskel (1.103) unstable; urgency=low

  [ Adam Conrad ]
  * Remove the lib64 -> lib symlinks, no longer necessary with the new
    mklibs (and, in fact, break it due to debhelper making them absolute
    instead of relative).

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 May 2013 22:28:46 +0100

## rootskel 1.107ubuntu1

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -32,12 +32,6 @@
 	S45keyboard-linux-powerpc
   endif
 
-  ifneq (,$(filter mipsel,$(DEB_HOST_ARCH_CPU)))
-    files += \
-	S59cobalt-welcome \
-	S80anna-install-mipsel
-  endif
-
   ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
     files += \
 	S40framebuffer-module-linux-alpha \

=== src/lib/debian-installer.d/Makefile ===
--- 
+++ 
@@ -26,8 +26,17 @@
 	S34framebuffer-linux-sparc
 endif
 
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  ifneq ($(DEB_HOST_ARCH_CPU),s390)
+  FRAMEBUFFER = 1
+  ifeq ($(DEB_HOST_ARCH_CPU),s390)
+    FRAMEBUFFER = 0
+  endif
+  ifeq ($(DEB_HOST_ARCH_CPU),s390x)
+    FRAMEBUFFER = 0
+  endif
+
+  ifneq ($(FRAMEBUFFER),0)
     files += \
 	S35framebuffer-linux
   endif

=== debian/changelog ===
rootskel (1.107ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Feb 2014 18:29:54 +0000

rootskel (1.107) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove Cobalt related scripts.

  [ Samuel Thibault ]
  * /proc/mounts now exists on hurd-any, point /etc/mtab to it.

  [ Colin Watson ]
  * Add a new debian-installer/allow_unauthenticated_ssl template, which can
    be used to disable SSL certificate checks when using HTTPS
    (LP: #833994).

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2014 18:04:10 +0000

rootskel (1.106ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Apply configurable console colors in d-i virtual terminals.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 07:59:56 -0700

rootskel (1.106) unstable; urgency=low

  * Bump compat level back to 9.
  * Do not use build & build-arch dependencies, as dh_auto_install is then
    not called. Instead, use override_dh_auto_build.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Mon, 29 Jul 2013 11:42:38 +0100

rootskel (1.105) unstable; urgency=low

  * Drop debhelper compatibility level back to 8 as  the bump to 9
    empties the package. With apologies for omitting to check.
    Closes: #717519

 -- Christian Perrier <bubulle@debian.org>  Wed, 24 Jul 2013 18:51:50 +0200

rootskel (1.104) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:26:38 +0200

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), libklibc-dev [linux-any], linux-libc-dev (>= 2.6.38) [linux-any]
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/rootskel.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/rootskel.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

## rootskel 1.109

=== debian/changelog ===
rootskel (1.109) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update lowmem limit for gtk on linux-x86.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Sep 2014 08:20:50 +0200

rootskel (1.108) unstable; urgency=medium

  * Remove src/lib/debian-installer-startup.d/S05acpi-linux-x86 entirely
    following Ben's suggestion: udev takes care of such things these days
    (Closes: #287412).
  * Apply patch from Steven Chamberlain to avoid running out of space in
    the fixed-size initrd on kfreebsd-* (Closes: #757985). Use a tmpfs for
    some directories:
    - /var/cache/anna
    - /var/lib/cdebconf

 -- Cyril Brulebois <kibi@debian.org>  Thu, 21 Aug 2014 20:38:13 +0200

## rootskel 1.110

=== debian/changelog ===
rootskel (1.110) unstable; urgency=medium

  [ Milan Kupcevic ]
  * S05fancontrol-linux-powerpc: use new G5 windfarm modules (Closes: #781936)

 -- Cyril Brulebois <kibi@debian.org>  Sun, 05 Apr 2015 19:57:23 +0200

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), libklibc-dev [linux-any], linux-libc-dev (>= 2.6.38) [linux-any]
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/rootskel.git
Vcs-Git: git://anonscm.debian.org/d-i/rootskel.git

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

## rootskel 1.110+kbsd8u1

=== debian/changelog ===
rootskel (1.110+kbsd8u1) jessie-kfreebsd; urgency=medium

  * Exclude many udebs that are uninstallable on kfreebsd, to conserve
    space in ramdisk (Closes: #776332).
  * Adjust for underestimation of total RAM on kfreebsd, and allow 256
    MiB systems to use the GTK frontend (Closes: #783775).

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 28 Apr 2015 22:25:45 +0000

## rootskel 1.115ubuntu1

=== src/Makefile ===
--- 
+++ 
@@ -19,6 +19,9 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   files_exec = \
 	init
+
+  subdirs_empty += \
+	run
 endif
 
 include ../Makefile.inc

=== src/sbin/Makefile ===
--- 
+++ 
@@ -13,22 +13,26 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   files_exec += \
-	console-type
+	console-type \
+	get-real-console-linux
 endif
 
 console-type: console-type.c
 	gcc -Os -Wall console-type.c -o console-type
 
+get-real-console-linux:
+	gcc -Os -Wall get-real-console-linux.c -o get-real-console-linux
+
 steal-ctty: steal-ctty.c
 	gcc -Os -Wall steal-ctty.c -o steal-ctty
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-build: console-type steal-ctty
+build: console-type get-real-console-linux steal-ctty
 else
 build: steal-ctty
 endif
 
 clean:
-	rm -f console-type steal-ctty
+	rm -f console-type get-real-console-linux steal-ctty
 
 include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -22,7 +22,6 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
     files += \
-	S05acpi-linux-x86 \
 	S40framebuffer-module-linux-x86
    endif

=== debian/changelog ===
rootskel (1.115ubuntu1) xenial; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Apply configurable console colors in d-i virtual terminals.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Feb 2016 08:40:56 +0000

rootskel (1.115) unstable; urgency=medium

  [ Philipp Kern ]
  * s390x: Do not always halt the machine after installation.
    (Closes: #813519) LP: #1541581

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Feb 2016 07:01:03 +0100

rootskel (1.114) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Feb 2016 07:20:17 +0100

rootskel (1.113ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Apply configurable console colors in d-i virtual terminals.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 02 Dec 2015 14:46:23 -0500

rootskel (1.113) unstable; urgency=medium

  [ Ben Hutchings ]
  * Remove unnecessary build-dependency on libklibc-dev

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Sep 2015 07:06:14 +0200

rootskel (1.112) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add large hurd-i386 GTK frontend memory limit.

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 May 2015 08:10:55 +0200

rootskel (1.111) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Adjust for underestimation of total RAM on kfreebsd, and allow 256
    MiB systems to use the GTK frontend (Closes: #783775).

 -- Christian Perrier <bubulle@debian.org>  Fri, 01 May 2015 08:49:08 +0200

## rootskel 1.121ubuntu1

=== debian/changelog ===
rootskel (1.121ubuntu1) zesty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Apply configurable console colors in d-i virtual terminals.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Nov 2016 14:12:27 +0000

rootskel (1.121) unstable; urgency=medium

  * Team upload
  * Fix starting screen in ssh when d-i is already running inside screen on
    serial port (Closes: #844549).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Nov 2016 17:13:43 +0100

rootskel (1.120) unstable; urgency=medium

  [ Samuel Thibault ]
  * #837868 is now fixed, let TERMCAP be defined in screen session.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Oct 2016 07:02:00 +0200

rootskel (1.119) unstable; urgency=medium

  [ Samuel Thibault ]
  * Move screen support from /sbin/debian-installer to
    /lib/debian-installer.d/S70menu, along bterm support. Simplify code a lot
    since we already have all variables telling us what the terminal looks
    like.

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Sep 2016 08:24:42 +0200

rootskel (1.118) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Remove NSLU2 support code.

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Jun 2016 07:08:51 +0200

rootskel (1.117) unstable; urgency=medium

  [ Martin Michlmayr ]
  * S99signal-status: don't check for the device name since LED sysfs
    names are device-specific anyway.
  * S99signal-status: change LED to indicate d-i status on Seagate
    Personal Cloud and Seagate NAS.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 22 Apr 2016 04:34:11 +0200

rootskel (1.116) unstable; urgency=medium

  [ Roger Shimizu ]
  * Add GNU/screen support, when it's available

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 Apr 2016 09:03:37 +0200

## rootskel 1.123

=== debian/changelog ===
rootskel (1.123) unstable; urgency=medium

  * S02module-params: avoid registering options for non-modules (#853855)
    The non-modules list is based on the kernel-command-line(7) manpage.

 -- Philip Hands <phil@hands.com>  Sat, 01 Apr 2017 11:50:30 +0200

rootskel (1.122) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update gtk lowmem limits.

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 Feb 2017 06:53:44 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), linux-libc-dev (>= 2.6.38) [linux-any]
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/rootskel.git
Vcs-Git: https://anonscm.debian.org/git/d-i/rootskel.git

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

## rootskel 1.124

=== debian/changelog ===
rootskel (1.124) unstable; urgency=medium

  [ Samuel Thibault ]
  * Create /run on non-linux too, for screen support.

 -- Christian Perrier <bubulle@debian.org>  Thu, 06 Jul 2017 09:49:07 +0200

## rootskel 1.124ubuntu1

=== debian/changelog ===
rootskel (1.124ubuntu1) bionic; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Apply configurable console colors in d-i virtual terminals.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Jan 2018 11:14:30 +0000

## rootskel 1.124ubuntu2

=== debian/changelog ===
rootskel (1.124ubuntu2) cosmic; urgency=medium

  * Fix ftbfs with new glibc.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Oct 2018 17:30:56 +0100

## rootskel 1.124ubuntu3

=== src/Makefile ===
--- 
+++ 
@@ -14,14 +14,12 @@
 	initrd \
 	mnt \
 	proc \
+	run \
 	sys
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   files_exec = \
 	init
-
-  subdirs_empty += \
-	run
 endif
 
 include ../Makefile.inc

=== src/etc/Makefile ===
--- 
+++ 
@@ -14,10 +14,7 @@
 	passwd \
 	profile
 
-# On Hurd, /proc/mounts won't exist or will be a symlink to /etc/mtab itself.
 install-local:: $(outdir)
-ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	ln -fs /proc/mounts $(outdir)/mtab
-endif
 
 include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -45,7 +45,6 @@
   ifneq (,$(filter arm armel armhf,$(DEB_HOST_ARCH_CPU)))
     files += \
 	S40framebuffer-module-linux-armel \
-	S80anna-install-armel \
 	S99signal-status
   endif

=== src/lib/debian-installer/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	exit-command \
 	menu
 
-ifeq ($(DEB_HOST_ARCH),s390)
+ifneq (,$(findstring :$(DEB_HOST_ARCH):,:s390:s390x:))
   files += \
 	detect-console:detect-console-linux-s390
 else

=== debian/changelog ===
rootskel (1.124ubuntu3) eoan; urgency=medium

  * Specify fs_spec field in fstab-linux mount points. Some tools parse
    /proc/mounts and try to match on the spec field to find where sysfs is
    mounted (ie. dasdfmt on s390x). This makes d-i environment look more
    similar to the installed systems.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 11:11:25 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), linux-libc-dev (>= 2.6.38) [linux-any]
XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/rootskel.git
XS-Debian-Vcs-Git: https://anonscm.debian.org/git/d-i/rootskel.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/rootskel/ubuntu

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

## rootskel 1.131

=== debian/changelog ===
rootskel (1.131) unstable; urgency=medium

  * Team upload
  * Remove spurious files.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jun 2019 21:28:44 +0200

rootskel (1.130) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927486)

  [ Samuel Thibault ]
  * src/lib/debian-installer.d/S60frontend: Update gtk memory limit, now with
    encryption support which eats a lot.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jun 2019 20:39:11 +0200

rootskel (1.129) unstable; urgency=medium

  * S50entropy-source: start haveged when appropriate, to avoid entropy
    starvation (See: #923675). This means when the haveged binary is
    available, and when there's no hardware RNG available.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 20 Apr 2019 02:24:53 +0200

rootskel (1.128) unstable; urgency=medium

  [ Wookey ]
  * Run d-i on multiple consoles independently where configured.
  * Add error-handling to steal-ctty

  [ Steve McIntyre ]
  * Add early logging so we can later see what consoles are detected
    and chosen.
  * Add myself to uploaders.

 -- Steve McIntyre <93sam@debian.org>  Tue, 05 Mar 2019 18:04:09 +0000

rootskel (1.127) unstable; urgency=medium

  [ Samuel Thibault ]
  * Make theme=dark install and enable Compiz in MATE.
  * Make theme=dark make grub use a dark theme.

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2019 12:00:18 -0800

rootskel (1.126) unstable; urgency=medium

  * Team upload

  [ Ben Hutchings ]
  * Include <sys/sysmacros.h> to get major() and minor() macros
    (Closes: #916070)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 09 Dec 2018 22:31:34 +0000

rootskel (1.125) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 27 Aug 2018 20:53:38 +0200

## rootskel 1.131+10u1

=== src/usr/lib/finish-install.d/Makefile ===
dir = usr/lib/finish-install.d

files_exec = 06rootskel

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel (1.131+10u1) buster; urgency=medium

  [ Steve McIntyre ]
  * Backport fix from unstable:
    Tweak how multiple consoles are used. If we detect that we're
    trying to run using preseeding, do *not* run on multiple consoles
    in parallel as that causes race conditions and weird
    behaviour. Instead, just run on the "preferred" console. Hopefully
    Closes: #940028, #932416

 -- Steve McIntyre <93sam@debian.org>  Tue, 11 Feb 2020 16:33:54 +0000

## rootskel 1.131+10u1+nmu1

=== debian/changelog ===
rootskel (1.131+10u1+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:34:02 +0800

## rootskel 1.132

=== debian/changelog ===
rootskel (1.132) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Make gcc substitutable. (Closes: #930970)

  [ Samuel Thibault ]
  * src/usr/lib/finish-install.d/06rootskel: Rename to 07rootskel to have
    users set up. Enable high-contrast theme when installation was made with the
    dark theme. Enable compiz ezoom features for accessibility.

  [ Dimitri John Ledkov ]
  * Specify fs_spec field in fstab-linux mount points. Some tools parse
    /proc/mounts and try to match on the spec field to find where sysfs is
    mounted (ie. dasdfmt on s390x). This makes d-i environment look more
    similar to the installed systems.

  [ Steve McIntyre ]
  * Tweak how multiple consoles are used. If we detect that we're
    trying to run using preseeding, do *not* run on multiple consoles
    in parallel as that causes race conditions and weird
    behaviour. Instead, just run on the "preferred" console.
    Closes: #940028, #932416

 -- Steve McIntyre <93sam@debian.org>  Mon, 23 Dec 2019 19:06:44 +0000

## rootskel 1.133

=== Makefile ===
--- 
+++ 
@@ -8,18 +8,10 @@
 subdirs = \
 	src
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-subdirs += \
-	src-bootfloppy
-endif
-
 build: build-recursive
 
 install:
 	@$(MAKE) install -C src DESTDIR=$(CURDIR)/debian/rootskel/
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	@$(MAKE) install -C src-bootfloppy DESTDIR=$(CURDIR)/debian/rootskel-bootfloppy/
-endif
 
 clean: clean-recursive

=== src/usr/Makefile ===
dir = usr

subdirs = \
	lib \
	share

include ../../Makefile.inc

=== src/var/Makefile ===
dir = var

subdirs = log

subdirs_empty = \
	lib/apt-install \
	run

include ../../Makefile.inc

=== src/var/log/Makefile ===
dir = var/log

include ../../../Makefile.inc

=== src/usr/share/rootskel/Makefile ===
dir = usr/share/rootskel

files = mate-preseed.cfg

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel (1.133) unstable; urgency=medium

  [ Alper Nebi Yasak ]
  * Use /dev/tty0 as a console even if it's not in /proc/consoles

  [ Miao Wamg ]
  * Do not remove the font when bterm is not started (Closes: #977466).

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Jan 2021 16:56:01 +0000

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), linux-libc-dev (>= 2.6.38) [linux-any]
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel
Vcs-Git: https://salsa.debian.org/installer-team/rootskel.git

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 %:
 	dh $@
 
-build build-arch: debian/templates
+override_dh_auto_build: debian/templates
+	dh_auto_build
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
